Classes | Public Member Functions | Public Attributes | List of all members
RagTime5LayoutInternal::ClusterLayout Struct Reference

the layout cluster ( 4001 zone) More...

Inheritance diagram for RagTime5LayoutInternal::ClusterLayout:

## Classes
struct | Zone
| a zone of in a layout More...

## Public Member Functions
| ClusterLayout ()
| constructor More...
virtual | ~ClusterLayout ()
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
std::vector< Zone > | m_zoneList
| list of zone's More...
RagTime5ClusterManager::Link | m_pipelineLink
| link to a pipeline cluster list More...
RagTime5ClusterManager::Link | m_listItemLink
| link to a zone of fieldSize 8(unknown) More...
std::set< int > | m_childIdSet
| list of child id More...
int | m_numChild
| the number of classic child More...
int | m_numMasterChild
| the number of master child More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_ClusterGProp, C_Script, C_ChartZone, C_GraphicZone, C_PictureZone, C_SpreadsheetZone, C_TextZone, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterC, C_Empty, C_Unknown }
| the cluster type More...

## Detailed Description

the layout cluster ( 4001 zone)

## Constructor & Destructor Documentation

## ◆ ClusterLayout()

RagTime5LayoutInternal::ClusterLayout::ClusterLayout | ( |  | ) |
| inline

constructor

## ◆ ~ClusterLayout()

RagTime5LayoutInternal::ClusterLayout::~ClusterLayout | ( |  | ) |
| virtual

destructor

Referenced by ClusterLayout().

## Member Data Documentation

## ◆ m_childIdSet

std::set<int> RagTime5LayoutInternal::ClusterLayout::m_childIdSet

list of child id

## ◆ m_listItemLink

RagTime5ClusterManager::Link RagTime5LayoutInternal::ClusterLayout::m_listItemLink

link to a zone of fieldSize 8(unknown)

## ◆ m_numChild

int RagTime5LayoutInternal::ClusterLayout::m_numChild

the number of classic child

Referenced by RagTime5Layout::updateLayout().

## ◆ m_numMasterChild

int RagTime5LayoutInternal::ClusterLayout::m_numMasterChild

the number of master child

Referenced by RagTime5Layout::updateLayout().

## ◆ m_pipelineLink

RagTime5ClusterManager::Link RagTime5LayoutInternal::ClusterLayout::m_pipelineLink

link to a pipeline cluster list

## ◆ m_zoneList

std::vector<Zone> RagTime5LayoutInternal::ClusterLayout::m_zoneList

list of zone's

Referenced by RagTime5Layout::sendPageContents(), and RagTime5Layout::updateLayout().

The documentation for this struct was generated from the following file:

- RagTime5Layout.cxx